# -*- coding: utf-8 -*-
import System
import os

execfile(UI.StartupPath+'\Script\Module\py\Script.py')

UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("※　　　【免空科學研究所　ｔｉｇｅｒｍａｘ．ｄｙｎｄｎｓ．ｏｒｇ】　　　※")
UI.UpdateLog("※　　　～㊣　　　　　　　　　　伍佰　　製作分享　　　　　　　㊣～　　　※")
UI.UpdateLog("※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※※")
UI.UpdateLog("【腳本更新】：2013.03.13",2)
UI.UpdateLog("【下載空間】： www.fastshare.org",2)
UI.UpdateLog("【砍檔時間】：未知",2)
UI.UpdateLog("【腳本功能】：輸入該站網址進行下載!!",2)
UI.UpdateLog("【腳本備註】：支援各32/64位元Windows系列",1)

UI.UpdateLog("下載網址為 ： "+UI.Link)
UI.UpdateLog("開始連接至下載網址",4)


HTML = HTTP.GetURL(UI.Link)
if upl.FindStrText(HTML,"Download") == 0:
	UI.UpdateLog("載點已失連")
	UI.ProceFalse()
else:
	MatchCollection=Matches(HTML,'Wenn sie die Datei "<b>(.+?)<',False)
	filename = MatchCollection[0]
	downloadlink = upl.ReplaceVariable(UI.Link,"download","files")
	postlink = upl.ReplaceVariable(UI.Link,"download","dlgo")
	HTML=HTTP.PostURL(postlink,"accept=yes")
UI.UpdateLog("檔案名稱 ： "+filename)
UI.UpdateLog("下載連結 ： "+downloadlink)
UI.UpdateLog("開始下載",3)
Staus=UI.DownloadURL(downloadlink)
if Staus == True:
	UI.UpdateLog("檔案下載成功!!",4)
else:
	UI.ProceFalse()